#!/bin/sh
set -e

KUMATUXBIN=$KUMATUXSETUPBIN KUMATUXLINKS=$KUMATUXSETUPLINKS KUMATUXROOT=$KUMATUXSETUPROOT KUMATUXTESTLINKS=$KUMATUXSETUPTESTLINKS KUMATUXTESTROOT=$KUMATUXSETUPTESTROOT . $KUMATUXSETUPBIN/kumatux.org-vars

for DIR1 in $KUMATUXLINKS $KUMATUXTESTLINKS
do
    for DIRECTORY in $KUMATUXETCDIRS
    do
	if [ ! -d $DIR1/$DIRECTORY ]
	then
    	    mkdir -p $DIR1/$DIRECTORY
	fi
    done

    for DIRECTORY in $KUMATUXPYTHONVERSIONS
    do
	if [ ! -d $DIR1/$KUMATUXETCPYTHON/$DIRECTORY ]
	then
	    mkdir -p $DIR1/$KUMATUXETCPYTHON/$DIRECTORY
	fi
    done
done